Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel
Class FetchConfigurationImpl.ConfigurationState

    java.lang.Object
      org.apache.openjpa.kernel.FetchConfigurationImpl.ConfigurationState

All Implemented Interfaces:
  Serializable

Enclosing class:
  FetchConfigurationImpl

    protected static class FetchConfigurationImpl.ConfigurationState

extends Object
implements Serializable

Configurable state shared throughout a traversal chain.

See Also:
  Serialized Form

Field Summary
`StoreContext` | `ctx`
`int` | `fetchBatchSize`
`Set` | `fetchGroups`
`Set` | `fields`
`int` | `flushQuery`
`Map` | `hints`
`int` | `lockTimeout`
`int` | `maxFetchDepth`
`boolean` | `queryCache`
`int` | `readLockLevel`
`Set` | `rootClasses`
`Set` | `rootInstances`
`int` | `writeLockLevel`

Constructor Summary
`protected` | `FetchConfigurationImpl.ConfigurationState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ctx

    public transient StoreContext ctx

### fetchBatchSize

    public int fetchBatchSize

### maxFetchDepth

    public int maxFetchDepth

### queryCache

    public boolean queryCache

### flushQuery

    public int flushQuery

### lockTimeout

    public int lockTimeout

### readLockLevel

    public int readLockLevel

### writeLockLevel

    public int writeLockLevel

### fetchGroups

    public Set fetchGroups

### fields

    public Set fields

### rootClasses

    public Set rootClasses

### rootInstances

    public Set rootInstances

### hints

    public Map hints

Constructor Detail

### FetchConfigurationImpl.ConfigurationState

    protected FetchConfigurationImpl.ConfigurationState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.